#!/bin/bash
#
# john_loop_rules_wordlists.sh
#
# This script is intended to loop over 
# some rulesets and wordlists
# and attempt to crack a WPA key
# using different combinations.

johndir="/home/charles/codes/_sources/JohnTheRipper-1.8.0.6-jumbo-1/run"
johnbin="${johndir}/john"

pwdir="/home/charles/dumps/k2015-08-19/besside_pwned"

rulesets=(""
          "KoreLogicRulesAppendYears")

wordlists=("/home/charles/codes/SecLists/Passwords/rockyou-60.txt")

#rulesets=(""
#          "KoreLogicRulesAppendYears" 
#          "KoreLogicRulesAppendCurrentYearSpecial" 
#          "KoreLogicRulesAdd1234_Everywhere" 
#          "KoreLogicRulesL33t" 
#          "KoreLogicRulesReplaceLetters" )
#
#wordlists=( "/home/charles/codes/SecLists/Passwords/rockyou-60.txt"
#            "/home/charles/codes/wordlists/seahawks.txt" 
#            "/home/charles/codes/wordlists/seattle.txt" )



# ===========================
# Rulesets we've tried

rulesets_failed=(""
          "KoreLogicRulesAppendYears" 
          "KoreLogicRulesAppendCurrentYearSpecial" 
          "KoreLogicRulesAdd1234_Everywhere" 
          "KoreLogicRulesL33t" 
          "KoreLogicRulesReplaceLetters" )


# ===========================
# The Actual Work

for pwfile in `/bin/ls -1 ${pwdir}/*.johnpw`; 
do
    echo ""
    echo ""
    echo "*** * * ** **** * ***** ** **  * * * ** ****"
    echo "* ** * *** **** ***  * ** ** *** * * * *** *"
    echo "  * ***** *  * * * *** * * * * *  ***  * * *"
    echo "* * * * * * *** **** * *** * * * * * * *** *"
    echo ""
    echo ""
    echo "Now on password file ${pwfile}"
    echo ""

    for rules in "${rulesets[@]}"; 
    do
        echo ""
        echo ""
        echo " .. . .. . .... ... . . ... .. . .. . . .  ."
        echo "... ... .. ...... . .. .  . .   ....  .... ."
        echo "... .  .. .  .  .  .. .... . .  . . . ... . "
        echo ""
        echo ""
        echo "Now on ruleset file ${rules}"
        echo ""

        for wordlist in "${wordlists[@]}"; 
        do
            echo ""
            echo "---------------------------"
            echo "Running John the Ripper with options:"
            echo "Wordlist: ${wordlist}"
            echo "Ruleset: ${rules}"
            echo "Password File: ${pwfile}"

            if [ "${rules}" == "" ] ; then
                echo "${johnbin} --wordlist=${wordlist} --format=wpapsk ${pwfile}"

                #mypwd=`pwd`
                #cd ${johndir}
                #${johnbin} --wordlist=${wordlist} --format=wpapsk ${pwfile}
                #cd ${mypwd}

            else
                echo "${johnbin} --wordlist=${wordlist} --format=wpapsk --rules=${rules} ${pwfile}"

                #mypwd=`pwd`
                #cd ${johndir}
                #${johnbin} --rules=${rules} --wordlist=${wordlist} --format=wpapsk ${pwfile}
                #cd ${mypwd}

            fi

        done
    done
done

#KoreLogicRulesPrependSeason
#KoreLogicRulesAppendSeason
#KoreLogicRulesPrependHello
#KoreLogicRulesPrependYears
#KoreLogicRulesAppendYears
#KoreLogicRulesAppendCurrentYearSpecial
#KoreLogicRulesAppend4Num
#KoreLogicRulesAppend5Num
#KoreLogicRulesAppend6Num
#KoreLogicRulesAppendSpecial3num
#KoreLogicRulesAppendSpecial4num
#KoreLogicRulesPrependCAPCAPAppendSpecial
#KoreLogicRulesPrependNumNumAppendSpecial
#KoreLogicRulesPrependNumNum
#KoreLogicRulesPrependNumNumNum
#KoreLogicRulesPrependNumNumNumNum
#KoreLogicRulesPrependNumNumSpecial
#KoreLogicRulesPrepend2NumbersAppend2Numbers
#KoreLogicRulesPrependSpecialSpecial
#KoreLogicRulesAppendSpecialNumberNumber
#KoreLogicRulesAppendSpecialNumberNumberNumber
#KoreLogicRulesPrependSpecialSpecialAppendNumber
#KoreLogicRulesPrependSpecialSpecialAppendNumbersNumber
#KoreLogicRulesPrependSpecialSpecialAppendNumbersNumberNumber
#KoreLogicRulesAppend2Letters
#KoreLogicRulesPrepend4NumAppendSpecial
#KoreLogicRulesAppend4NumSpecial
#KoreLogicRulesAppend3NumSpecial
#KoreLogicRulesAppend2NumSpecial
#KoreLogicRulesAddJustNumbersLimit8
#KoreLogicRulesDevProdTestUAT
#KoreLogicRulesPrependAndAppendSpecial
#KoreLogicRulesAppendJustNumbers
#KoreLogicRulesAppendNumbers_and_Specials_Simple
#KoreLogicRulesAppendJustSpecials
#KoreLogicRulesMonthsFullPreface
#KoreLogicRulesAddShortMonthsEverywhere
#KoreLogicRulesPrepend4LetterMonths
#KoreLogicRulesAdd2010Everywhere
#KoreLogicRulesPrependDaysWeek
#KoreLogicRulesAdd1234_Everywhere
#KoreLogicRulesAppendMonthDay
#KoreLogicRulesAppendMonthCurrentYear
#KoreLogicRulesReplaceNumbers2Special
#KoreLogicRulesReplaceNumbers
#KoreLogicRulesReplaceLettersCaps
#KoreLogicRulesAddDotCom
#KoreLogicRulesAppendCap-Num_or_Special-Twice
#KoreLogicRulesAppendSpecialLowerLower
#KoreLogicRulesAppendJustSpecials3Times
#KoreLogicRulesPrependJustSpecials
#KoreLogicRulesAppend1_AddSpecialEverywhere
#KoreLogicRulesPrependNumNum_AppendNumSpecial
#KoreLogicRulesAppendNum_AddSpecialEverywhere
#KoreLogicRulesAppendNumNum_AddSpecialEverywhere
#KoreLogicRulesAppendNumNumNum_AddSpecialEverywhere
#KoreLogicRulesAppendYears_AddSpecialEverywhere
#KoreLogicRulesL33t
#KoreLogicRulesReplaceSpecial2Special
#KoreLogicRulesReplaceLetters

