#!/bin/bash
#
# john_loop_rules_wordlists.sh
#
# This script is intended to loop over 
# some rulesets and wordlists
# and attempt to crack a WPA key
# using different combinations.
#
#
# DO NOT FORGET TO PIPE THE OUTPUT 
# TO A FILE WITH TEE!!!
#
# ./john_loop_rules_wordlists.sh | tee my_john_run.log
# 
#

johndir="/home/charles/codes/_sources/JohnTheRipper-1.8.0.6-jumbo-1/run"
johnbin="${johndir}/john"




###############################################################
###############################################################
# Log of handshakes/wordlists/JtR rules attempted



# ----------
# 2015-09-04

pwdir="/home/charles/dumps/k2015-08-19/besside_pwned"

rulesets=("KoreLogicRulesAppendYears"
"KoreLogicRulesAppendNum"
"KoreLogicRulesPrependNum"
"KoreLogicRulesAppendNumNum"
"KoreLogicRulesPrependNumNum"
"KoreLogicRulesPrependYears"
)

wordlists=("/home/charles/codes/SecLists/Passwords/rockyou.txt")






### # ---------------
### # 2015-08-23
### 
### pwdir="/home/charles/dumps/k2015-08-19/besside_pwned"
### 
### rulesets=("KoreLogicRulesAppendCurrentYearSpecial"
### "KoreLogicRulesPrependSeason"
### "KoreLogicRulesAppendSeason"
### "KoreLogicRulesPrependHello"
### "KoreLogicRulesPrependYears"
### "KoreLogicRulesAppend4Num"
### "KoreLogicRulesReplaceNumbers"
### "KoreLogicRulesReplaceLettersCaps"
### "KoreLogicRulesAppendCap-Num_or_Special-Twice")
### 
### 
### wordlists=("/home/charles/codes/SecLists/Passwords/rockyou.txt")
### 


# # ----------------
# # 2015-08-22
# 
# pwdir="/home/charles/dumps/k2015-08-19/besside_pwned"
# 
# rulesets=(""
#           "KoreLogicRulesAppendYears")
# 
# wordlists=("/home/charles/codes/SecLists/Passwords/rockyou-60.txt")



# End Log 
###############################################################
###############################################################




#rulesets=(""
#          "KoreLogicRulesAppendYears" 
#          "KoreLogicRulesAppendCurrentYearSpecial" 
#          "KoreLogicRulesAdd1234_Everywhere" 
#          "KoreLogicRulesL33t" 
#          "KoreLogicRulesReplaceLetters" )
#
#wordlists=( "/home/charles/codes/SecLists/Passwords/rockyou-60.txt"
#            "/home/charles/codes/wordlists/seahawks.txt" 
#            "/home/charles/codes/wordlists/seattle.txt" )



# ===========================
# The Actual Work


for rules in "${rulesets[@]}"; 
do
    echo ""
    echo ""
    echo "*** * * ** **** * ***** ** **  * * * ** ****"
    echo "* ** * *** **** ***  * ** ** *** * * * *** *"
    echo "  * ***** *  * * * *** * * * * *  ***  * * *"
    echo "* * * * * * *** **** * *** * * * * * * *** *"
    echo ""
    echo ""
    echo "Now on ruleset file ${rules}"
    echo ""

    for wordlist in "${wordlists[@]}"; 
    do

        pwfiles=`/bin/ls ${pwdir}/*.johnpw | tr "\n" " "`

        echo ""
        echo "---------------------------"
        echo "Running John the Ripper with options:"
        echo "Wordlist: ${wordlist}"
        echo "Ruleset: ${rules}"
        echo "Password Files: ${pwfiles}"

        if [ "${rules}" == "" ] ; then
            echo "${johnbin} --wordlist=${wordlist} --format=wpapsk ${pwfiles}"

            mypwd=`pwd`
            cd ${johndir}

            ${johnbin} --wordlist=${wordlist} --format=wpapsk ${pwfiles}

            cd ${mypwd}

        else
            echo "${johnbin} --wordlist=${wordlist} --format=wpapsk --rules=${rules} ${pwfiles}"

            mypwd=`pwd`
            cd ${johndir}

            ${johnbin} --rules=${rules} --wordlist=${wordlist} --format=wpapsk ${pwfiles}

            cd ${mypwd}

        fi

    done
done





#KoreLogicRulesAppendYears

#KoreLogicRulesAppendCurrentYearSpecial
#KoreLogicRulesPrependSeason
#KoreLogicRulesAppendSeason
#KoreLogicRulesPrependHello
#KoreLogicRulesPrependYears
#KoreLogicRulesAppend4Num
#KoreLogicRulesReplaceNumbers
#KoreLogicRulesReplaceLettersCaps
#KoreLogicRulesAppendCap-Num_or_Special-Twice

#KoreLogicRulesReplaceNumbers2Special
#KoreLogicRulesAddDotCom
#KoreLogicRulesAppendCap-Num_or_Special-Twice
#KoreLogicRulesAppendSpecialLowerLower
#KoreLogicRulesAppendJustSpecials3Times
#KoreLogicRulesPrependJustSpecials
#KoreLogicRulesAppend1_AddSpecialEverywhere
#KoreLogicRulesPrependNumNum_AppendNumSpecial
#KoreLogicRulesAppendNum_AddSpecialEverywhere
#KoreLogicRulesAppendNumNum_AddSpecialEverywhere
#KoreLogicRulesAppendNumNumNum_AddSpecialEverywhere
#KoreLogicRulesAppendYears_AddSpecialEverywhere
#KoreLogicRulesL33t
#KoreLogicRulesReplaceSpecial2Special
#KoreLogicRulesReplaceLetters
#KoreLogicRulesAppend5Num
#KoreLogicRulesAppend6Num
#KoreLogicRulesAppendSpecial3num
#KoreLogicRulesAppendSpecial4num
#KoreLogicRulesPrependCAPCAPAppendSpecial
#KoreLogicRulesPrependNumNumAppendSpecial
#KoreLogicRulesPrependNumNum
#KoreLogicRulesPrependNumNumNum
#KoreLogicRulesPrependNumNumNumNum
#KoreLogicRulesPrependNumNumSpecial
#KoreLogicRulesPrepend2NumbersAppend2Numbers
#KoreLogicRulesPrependSpecialSpecial
#KoreLogicRulesAppendSpecialNumberNumber
#KoreLogicRulesAppendSpecialNumberNumberNumber
#KoreLogicRulesPrependSpecialSpecialAppendNumber
#KoreLogicRulesPrependSpecialSpecialAppendNumbersNumber
#KoreLogicRulesPrependSpecialSpecialAppendNumbersNumberNumber
#KoreLogicRulesAppend2Letters
#KoreLogicRulesPrepend4NumAppendSpecial
#KoreLogicRulesAppend4NumSpecial
#KoreLogicRulesAppend3NumSpecial
#KoreLogicRulesAppend2NumSpecial
#KoreLogicRulesAddJustNumbersLimit8
#KoreLogicRulesDevProdTestUAT
#KoreLogicRulesPrependAndAppendSpecial
#KoreLogicRulesAppendJustNumbers
#KoreLogicRulesAppendNumbers_and_Specials_Simple
#KoreLogicRulesAppendJustSpecials
#KoreLogicRulesMonthsFullPreface
#KoreLogicRulesAddShortMonthsEverywhere
#KoreLogicRulesPrepend4LetterMonths
#KoreLogicRulesAdd2015Everywhere
#KoreLogicRulesPrependDaysWeek
#KoreLogicRulesAdd1234_Everywhere
#KoreLogicRulesAppendMonthDay
#KoreLogicRulesAppendMonthCurrentYear

