from lookup_hardware import lookup_hardware
from read_airodump import csv2blob
import re


"""
parse_everything.py

Turn a CSV file from Airodump 
into a nice list of access points 
and clients.

Further, use that information 
to construct some commands
so they're easy to copy and paste
into a terminal, or put into a script.
"""

def usage():
    a  = "\n" 
    a += "\nparse_everything.py" 
    a += "\n" 
    a += "\nParse Airodump files to monitor the airwaves." 
    a += "\n"
    a += "\nUsage:"
    a += "\n    python  parse_everything.py  [airodump csv file]"
    a += "\n"
    a += "\ne.g., python monitor.py ~/myscan.csv"
    a += "\nor,   python monitor.py /root/dumps/k2015-08-19/everything-04.csv"
    a += "\n"
    raise Exception(a)

import sys
try:
    csvfile = sys.argv[1]
except:
    usage()

stations_list, clients_list = csv2blob(csvfile)



#################################
# Data for 
# Stations 
# (Access Points)
#################################

from parse_aps import parse_aps
parse_aps(stations_list)



#################################
# Data for 
# Clients
#
#################################

from parse_clients import parse_clients
parse_clients(clients_list)


