import sys
from scapy.all import *

"""
monitor.py

Use Scapy to monitor the activity in the airwaves 
around you. Print out information about found 
clients and access points.

Example:

python scapy_monitor wlan0 1000

"""

def usage():
    a  = "\n" 
    a += "\nscapy_monitor.py" 
    a += "\n" 
    a += "\nMonitor the airwaves." 
    a += "\n"
    a += "\nUsage:"
    a += "\n    python monitor.py [interface] [number of packets]"
    a += "\n"
    a += "\ne.g., python monitor.py wlan0 1000"
    a += "\n"
    raise Exception(a)

devices = set()
ssids = set()

def PacketHandler(pkt):

    if pkt.haslayer(Dot11):
        
        # MACs
        if pkt.addr2 and (pkt.addr2 not in devices):
            print "[+] Device"
            devices.add(pkt.addr2)

    if pkt.haslayer(Dot11Beacon):

        # SSID
        if (pkt.info not in ssids) and pkt.info:
            print "[+] SSID"
            ssids.add(pkt.info)

try:
    arg1 = sys.argv[1]
    arg2 = int(sys.argv[2])
except:
    usage()

sniff( iface=arg1, count=arg2, prn=PacketHandler )

print "\n\n"

print "Devices:"

for i,dev in enumerate(devices):
    print i,"-",dev

print "\n"
print "APs:"

for i,ssid in enumerate(ssids):
    print i,"-",ssid




