#!/bin/bash
#
# ##########################
# 
# Run an OpenVPN server 
# at charlesreid1.com
# 
# UDP port 1194
#
# 


# -----------------------
# ip forwarding
echo "forwarding packets"

echo "1" > /proc/sys/net/ipv4/ip_forward


# -----------------------
# Start the OpenVPN server
echo "starting openvpn server"

killall openvpn
openvpn --config rojo_server.ovpn



# -----------------------
# Firewall rules
echo "setting firewall rules"

# Flush
iptables -F

# -------------
# BEGIN
# My Firewall Settings

iptables -A INPUT  -p tcp --dport 22 -j ACCEPT
iptables -A OUTPUT -p tcp --dport 22 -j ACCEPT
iptables -A INPUT  -p tcp --dport 80 -j ACCEPT
iptables -A OUTPUT -p tcp --dport 80 -j ACCEPT
iptables -A INPUT  -p tcp --dport 443 -j ACCEPT
iptables -A OUTPUT -p tcp --dport 443 -j ACCEPT
#
# Set default policies for INPUT, FORWARD and OUTPUT chains
#
iptables -P INPUT DROP
iptables -P FORWARD DROP
iptables -P OUTPUT ACCEPT
#
# Set access for localhost
#
iptables -A INPUT -i lo -j ACCEPT
#
# Accept packets belonging to established and related connections
#
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
#
# Allow connections on 1198 for open vpn
#
iptables -A INPUT  -p udp --dport 1198 -j ACCEPT
iptables -A OUTPUT -p udp --dport 1198 -j ACCEPT

# END 
# My Firewall Settings
# -------------------------

## OpenVPN
############## THIS LINE IS CRITICAL #################
iptables -A INPUT -i eth0 -m state --state NEW -p udp --dport 1194 -j ACCEPT

# Allow TUN interface connections to OpenVPN server
iptables -A INPUT -i tun+ -j ACCEPT
 
# Allow TUN interface connections to be forwarded through other interfaces
iptables -A FORWARD -i tun+ -j ACCEPT
iptables -A FORWARD -i tun+ -o eth0 -m state --state RELATED,ESTABLISHED -j ACCEPT
iptables -A FORWARD -i eth0 -o tun+ -m state --state RELATED,ESTABLISHED -j ACCEPT
 
# NAT the VPN client traffic to the internet
iptables -t nat -A POSTROUTING -s 10.8.0.0/24 -o eth0 -j MASQUERADE

# all out is ok
iptables -A OUTPUT -o tun+ -j ACCEPT

echo "done"

# ----------------------------
# Reload the firewall rules

echo "restart networking services"
service networking restart

